<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.HomeCommunityId']}</h1>
        <h:form id="homeCommunity" styleClass="edit">
            <gri:panel>
                <br/>
                <f:facet name="header">#{homeCommunityHome.managed ? 'Edit' : 'Add'} #{messages['net.ihe.gazelle.xdstar.HomeCommunity']}</f:facet>
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="countryCode"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.CountryCode']}</ui:define>
                        <h:inputText id="countryCode" value="#{homeCommunityHome.instance.countryCode}"
                                     required="true" styleClass="form-control"/>
                    </s:decorate>

                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="homeCommunityID"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.HomeCommunityID_2']}</ui:define>
                        <h:inputText id="homeCommunityID" value="#{homeCommunityHome.instance.homeCommunityID}"
                                     required="true" styleClass="form-control"/>
                    </s:decorate>
                </div>
            </gri:panel>
            <div class="actionButtons">
                <h:commandButton id="save" value="#{messages['net.ihe.gazelle.xdstar.Save']}" styleClass="gzl-btn-green"
                                 action="#{homeCommunityHome.persist}"
                                 disabled="#{!homeCommunityHome.wired}"
                                 rendered="#{!homeCommunityHome.managed}"/>
                <h:commandButton id="update" value="#{messages['net.ihe.gazelle.xdstar.Save']}"
                                 styleClass="gzl-btn-green"
                                 action="#{homeCommunityHome.update}"
                                 rendered="#{homeCommunityHome.managed}"/>
                <a4j:commandButton id="delete" value="#{messages['net.ihe.gazelle.xdstar.Delete']}"
                                   styleClass="gzl-btn-red"
                                   oncomplete="jq162('#DeleteHomeCommunityId').modal('show');"
                                   actionListener="#{homeCommunityHome.update}"
                                   rendered="#{homeCommunityHome.managed}"
                                   render="deleteForm,DeleteHomeCommunityId"/>
                <s:button id="cancelEdit" value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" propagation="end"
                          styleClass="gzl-btn"
                          view="/admin/homeCommunity/HomeCommunity.xhtml"
                          rendered="#{homeCommunityHome.managed}"/>
                <s:button id="cancelAdd" value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" propagation="end"
                          styleClass="gzl-btn"
                          view="/admin/homeCommunity/#{empty homeCommunityFrom ? 'HomeCommunityList' : homeCommunityFrom}.xhtml"
                          rendered="#{!homeCommunityHome.managed}"/>
            </div>

        </h:form>
        <h:form id="deleteForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="DeleteHomeCommunityId"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.DeleteHomeCommunityId']}</ui:define>
                <p>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.DoYouReallyWantToDeleteThisHomeCommunityId']}"/>
                </p>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['gazelle.xdrsrc.Cancel']}" styleClass="gzl-btn"
                                       oncomplete="jq162('#DeleteHomeCommunityId').modal('hide')"
                                       execute="@this"/>
                    <a4j:commandButton styleClass="gzl-btn-red"
                                       value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                       actionListener="#{homeCommunityHome.remove}"
                                       onclick="jq162('#DeleteHomeCommunityId').modal('hide');"
                                       render="homeCommunity"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
